Subject: guest can not delete files

From: Dave Wright <[email-masked]>
Date: Thu, 11 Sep 1997 13:22:52 -0700 (PDT)

logging in as pp-admin  ( the guest users ) works great and
with the exception that I can not delete files as that user
which I would like to be able to do. I have read through the
archives and tried the suggested permissions with no success.
If anyone can tell me how to allow the guest user to delete
files I would be greateful. Thanks much 
					dw

permissions on the pp-incoming directory.
drwxrwxr-t   2 pp-admin ftpadmin     512 Sep 11 11:08 pp-incoming

the password entry for the guest user is ...
pp-admin:x:60003:60025:PrePrint Admin:/export/ftp/./pp-incoming:/bin/false

the ftpaccess that I am using is ...
loginfails 2

class   local   real,guest,anonymous msri.org  
class   remote  anonymous  *
class   remote  guest  msri.org

limit   local   20  Any                 /msgs/toomany
limit   remote  100 SaSu|Any1800-0600   /msgs/toomany
limit   remote  60  Any                 /msgs/toomany

readme  README*    login
readme  README*    cwd=*

message /msgs/welcome   login
message .message         cwd=*

compress        yes             local remote
tar             yes             local remote

# allow use of private file for SITE GROUP and SITE GPASS?
private        no
# passwd-check  <none|trivial|rfc822>  [<enforce|warn>]
passwd-check    tivial  enforce

# logging
log commands real
log transfers anonymous,real inbound,outbound

shutdown /msgs/shutmsg

# all the following default to "yes" for everybody

delete          no      anonymous 
delete          yes     guest,real
overwrite       no      anonymous 
overwrite       yes     guest,real
rename          no      anonymous 
rename          yes     guest,real
chmod           no      anonymous 
chmod           yes     guest,real
umask           no      anonymous 
umask           yes     guest,real

# specify the upload directory information
upload  /export/ftp  *             no
upload  /export/ftp  /pp-incoming    yes     pp-admin    ftpadmin  0600 nodirs
#upload  /export/ftp  /bin          no
#upload  /export/ftp  /etc          no
# path-filter...
path-filter  anonymous  /msgs/pathmsg  ^[-A-Za-z0-9_\.]*$  ^\.  ^-
path-filter  guest      /msgs/pathmsg  ^[-A-Za-z0-9_\.]*$  ^\.  ^-
path-filter  real       /msgs/pathmsg  ^[-A-Za-z0-9_\.]*$  ^\.  ^-

# specify which group of users will be treated as "guests".
guestgroup ftpadmin

#
noretrieve /etc/passwd 
noretrieve /etc/group 
noretrieve /core
#
email [email-masked]